> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# Get a grant

GET https://api.sigmacomputing.com/v2/grants/{grantId}

Return a grant object by grant ID.

  ### Usage notes

  Depending on the grant object that you want to return details about, you can retrieve the grantId in different ways:

  - For most documents, you can retrieve the **grantId** by calling the [/v2/grants](https://help.sigmacomputing.com/reference/list-grants) endpoint with the **inodeId** for the document. For example, use the **workbookId** as the **inodeId**.
  - For a dataset (deprecated), you can also retrieve the **grantId** by calling the [/v2/datasets/{datasetId}/grants](https://help.sigmacomputing.com/reference/list-dataset-grants) endpoint.
  - For a connection path, you can retrieve the **grantId** by calling the [/v2/connections/paths/{connectionPathId}/grants](https://help.sigmacomputing.com/reference/list-connection-path-grants) endpoint.
    

Reference: https://help.sigmacomputing.com/reference/get-grant

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/grants/{grantId}:
    get:
      operationId: getGrant
      summary: Get a grant
      description: |-
        Return a grant object by grant ID.

          ### Usage notes

          Depending on the grant object that you want to return details about, you can retrieve the grantId in different ways:

          - For most documents, you can retrieve the **grantId** by calling the [/v2/grants](https://help.sigmacomputing.com/reference/list-grants) endpoint with the **inodeId** for the document. For example, use the **workbookId** as the **inodeId**.
          - For a dataset (deprecated), you can also retrieve the **grantId** by calling the [/v2/datasets/{datasetId}/grants](https://help.sigmacomputing.com/reference/list-dataset-grants) endpoint.
          - For a connection path, you can retrieve the **grantId** by calling the [/v2/connections/paths/{connectionPathId}/grants](https://help.sigmacomputing.com/reference/list-connection-path-grants) endpoint.
            
      tags:
        - Grants
      parameters:
        - name: grantId
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/grants_getGrant_Response_200'
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    V2GrantsGrantIdGetResponsesContentApplicationJsonSchemaPermission0:
      type: string
      enum:
        - admin
        - annotate
        - update
        - usage
        - writeback
      description: 'Valid inode types: table, connection database, and connection schema.'
      title: V2GrantsGrantIdGetResponsesContentApplicationJsonSchemaPermission0
    V2GrantsGrantIdGetResponsesContentApplicationJsonSchemaPermission1:
      type: string
      enum:
        - create
        - annotate
        - organize
        - explore
        - view
        - edit
        - apply
      description: >-
        Valid inode types: folder, workspace, workbook, dataset, and data model.
        Can Contribute permissions are listed as **organize** and Can Manage
        permissions are listed as **edit**.
      title: V2GrantsGrantIdGetResponsesContentApplicationJsonSchemaPermission1
    V2GrantsGrantIdGetResponsesContentApplicationJsonSchemaPermission2:
      type: string
      enum:
        - view
        - edit
        - apply
      description: 'Valid inode types: version tag.'
      title: V2GrantsGrantIdGetResponsesContentApplicationJsonSchemaPermission2
    V2GrantsGrantIdGetResponsesContentApplicationJsonSchemaPermission:
      oneOf:
        - $ref: >-
            #/components/schemas/V2GrantsGrantIdGetResponsesContentApplicationJsonSchemaPermission0
        - $ref: >-
            #/components/schemas/V2GrantsGrantIdGetResponsesContentApplicationJsonSchemaPermission1
        - $ref: >-
            #/components/schemas/V2GrantsGrantIdGetResponsesContentApplicationJsonSchemaPermission2
      description: The permission granted to the member
      title: V2GrantsGrantIdGetResponsesContentApplicationJsonSchemaPermission
    V2GrantsGrantIdGetResponsesContentApplicationJsonSchemaInodeType:
      type: string
      enum:
        - folder
        - customFunction
        - symlink
        - versionTag
        - worksheet
        - block
        - dashboard
        - report
        - table
        - semanticView
        - metricView
        - scope
        - sql
        - workbook
        - template
        - dataset
        - datafile
        - storedProcedure
        - apiConnector
        - apiConnectorAuth
        - mcpConnector
        - warehouseAgent
        - agentSkill
        - tlsProfile
      title: V2GrantsGrantIdGetResponsesContentApplicationJsonSchemaInodeType
    grants_getGrant_Response_200:
      type: object
      properties:
        grantId:
          type: string
          description: The unique identifier of the grant
        inodeId:
          type: string
          description: The unique identifier of the inode
        organizationId:
          type: string
          description: The unique identifier of the organization
        memberId:
          type:
            - string
            - 'null'
          description: The unique identifier of the member
        teamId:
          type:
            - string
            - 'null'
          description: The unique identifier of the team
        permission:
          $ref: >-
            #/components/schemas/V2GrantsGrantIdGetResponsesContentApplicationJsonSchemaPermission
          description: The permission granted to the member
        createdBy:
          type: string
          description: The identifier of the user who created this grant
        updatedBy:
          type: string
          description: The identifier of the user or process that last updated this grant
        createdAt:
          type: string
          format: date-time
          description: When the grant was created
        updatedAt:
          type: string
          format: date-time
          description: When the grant was last updated
        inodeType:
          $ref: >-
            #/components/schemas/V2GrantsGrantIdGetResponsesContentApplicationJsonSchemaInodeType
      required:
        - grantId
        - inodeId
        - organizationId
        - memberId
        - teamId
        - permission
        - createdBy
        - updatedBy
        - createdAt
        - updatedAt
        - inodeType
      title: grants_getGrant_Response_200
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "grantId": "gnt-8f3a2b7c9d4e",
  "inodeId": "inode-4a7b9c2d1e5f",
  "organizationId": "org-1234567890abcdef",
  "memberId": "mem-0987654321fedcba",
  "teamId": null,
  "permission": "admin",
  "createdBy": "user-7a8b9c0d1e2f",
  "updatedBy": "user-7a8b9c0d1e2f",
  "createdAt": "2024-01-15T09:30:00Z",
  "updatedAt": "2024-01-15T09:30:00Z",
  "inodeType": "folder"
}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/grants/grantId"

payload = {}
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/grants/grantId';
const options = {
  method: 'GET',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/grants/grantId"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/grants/grantId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.sigmacomputing.com/v2/grants/grantId")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.sigmacomputing.com/v2/grants/grantId', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/grants/grantId");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/grants/grantId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```